title_a = strcat('Response of',varnames(ii),' to', shocknames(jj));
x1 = (squeeze(psi_invA0(ii,jj,nlags:nlags+hmax-1,:)));
x1 = sort(x1,2);
temp = [(median(x1,2)) x1(:,index3) x1(:,index4)];   % posterior median and 68% credibility set
temp1 = temp(1:5,:);
prior_IRFs(ii,jj,:)=median(x1,2);

plotx1(temp1,HO); box on; plot(HO,zeros(5,1),'k:','linewidth',1), ...
hold on, plot(HO,x1(1:5,index1),'b:','linewidth',2), hold on, plot(HO,x1(1:5,index2),'b:','linewidth',2)
lowval = floor(min(x1(1:5,index1)));
highval = ceil(max(x1(1:5,index2)));
axis([0 4 lowval highval])
set(gca,'XTick',0:1:4)
set(gca,'YTick',lowval:0.5:highval)
set(gca,'Layer','top')
title(title_a,'fontsize',10)