% Beta prior, domain: [0,1]

% Choose mode and standard deviation
mode_rho=0.5;
std_rho=0.2;
[A_rho,B_rho]=GetBetaParameters(mode_rho,std_rho)

% Plot Beta prior
f1=0:.001:1;   
prior_b = beta_prior(f1,A_rho,B_rho);
plot(f1,prior_b,'b','linewidth',3)
title('Beta prior')

% Compute moments
m1=(A_rho-1)/(A_rho+B_rho-2);     % mode
m2=A_rho/(A_rho+B_rho);           % mean
a=A_rho;
b=B_rho;
s=sqrt((a*b)/((a+b)^2*(a+b+1)));  % standard deviation