% Student t prior, 3 options

% 1: domain (??; +?)
c_eta1 = 0;        % location parameter (mode)
sigma_eta1 = 0.3;  % scale parameter
nu_eta1 = 3;       % degrees of freedom

subplot(221)
z1 = -5:0.001:5;
prior_eta1 = student_prior(z1,c_eta1,sigma_eta1,nu_eta1);
plot(z1,prior_eta1,'b','linewidth',3)
title('Student t prior')


% 2: truncated to be positive
c_eta2 = 2;      % location parameter (mode)     
sigma_eta2 = 0.5;  % scale parameter    
nu_eta2 = 3;       % degrees of feedom

subplot(222)
y1=0:.001:5;        %grid for positive parameters
prior_eta2=student_pos_prior(y1,c_eta2,sigma_eta2,nu_eta2);
plot(y1,prior_eta2,'b','linewidth',3)
title('Truncated Student t prior: positive')


% 3: truncated to be negative
c_eta3 = -1.5;     % location parameter
sigma_eta3 = 0.2;  % scale parameter
nu_eta3 = 3;       % degrees of freedom

subplot(223)
x1=-5:.001:0;       %grid for negative parameters
prior_eta3 = student_neg_prior(x1,c_eta3,sigma_eta3,nu_eta3);
plot(x1,prior_eta3,'b','linewidth',3)
title('Truncated Student t prior: negative')

